Bug 22943 - Rename AffineTransform
: Rename AffineTransform
Status: RESOLVED FIXED
: WebKit
Layout and Rendering
: 528+ (Nightly build)
: Macintosh Mac OS X 10.5
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2008-12-19 17:06 PST by
Modified: 2009-03-02 11:51 PST (History)


Attachments
renames AffineTransform to TransformMatrix (160.52 KB, patch)
2008-12-19 17:07 PST, Dean Jackson
darin: review-
Review Patch | Details | Formatted Diff | Diff
updated patch (232.26 KB, patch)
2009-01-05 16:39 PST, Dean Jackson
darin: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-12-19 17:06:04 PST
AffineTransform should be renamed so we can add new features for non-affine transforms without adding another matrix class. This should enable all the transformy stuff to be in one class.
------- Comment #1 From 2008-12-19 17:07:29 PST -------
Created an attachment (id=26165) [details]
renames AffineTransform to TransformMatrix

AffineTransform -> TransformMatrix
------- Comment #2 From 2008-12-19 17:08:55 PST -------
When we get around to extending the class, the goal will be to keep the affine interface the same (with the same performance) and add new methods for non-affine stuff.
That way SVG and other affine usage won't need to change.
------- Comment #3 From 2009-01-02 10:50:15 PST -------
(From update of attachment 26165 [details])
You should do changes like this with the do-webcore-rename script. It handles everything for you and almost always gets everything right. For example, it would have corrected all the make files for platforms other than the Mac that you neglected such as GNUMakefile.am and WebCore.vcproj.

Are you sure TransformMatrix is the best name? Transform seems to be a noun or a verb, not an adjective. Why not TransformationMatrix?

I'm going to say review- because this would break non-Mac platforms. Once you decide what name you like, someone can do this using do-webcore-rename; less error prone than doing it manually.
------- Comment #4 From 2009-01-05 16:39:50 PST -------
Created an attachment (id=26446) [details]
updated patch
------- Comment #5 From 2009-01-05 16:41:45 PST -------
I didn't know about that script, thanks. Although it updated the build files for other platforms it didn't do all of the work.

I've used the name TransformationMatrix this time, per your advice. I don't really care what the name is - AffineTransform probably should have been AffineTransformation from the start :) 
------- Comment #6 From 2009-01-05 16:57:26 PST -------
(From update of attachment 26446 [details])
Having the giant list of every file changed and every function in the ChangeLog probably isn't all that helpful.

Name change is good. r=me
------- Comment #7 From 2009-01-05 18:14:00 PST -------
I'll remove the giant list from the changelog
thanks.
------- Comment #8 From 2009-01-05 19:01:20 PST -------
Sending        WebCore/ChangeLog
Sending        WebCore/GNUmakefile.am
Sending        WebCore/WebCore.pro
Sending        WebCore/WebCore.scons
Sending        WebCore/WebCore.vcproj/WebCore.vcproj
Sending        WebCore/WebCore.xcodeproj/project.pbxproj
Sending        WebCore/WebCoreSources.bkl
Sending        WebCore/bindings/js/JSSVGMatrixCustom.cpp
Sending        WebCore/bindings/js/JSSVGPODTypeWrapper.h
Sending        WebCore/bindings/objc/DOMInternal.h
Sending        WebCore/bindings/scripts/CodeGeneratorJS.pm
Sending        WebCore/bindings/scripts/CodeGeneratorObjC.pm
Sending        WebCore/css/CSSComputedStyleDeclaration.cpp
Sending        WebCore/html/CanvasRenderingContext2D.cpp
Sending        WebCore/html/CanvasRenderingContext2D.h
Sending        WebCore/html/HTMLCanvasElement.cpp
Sending        WebCore/html/HTMLCanvasElement.h
Sending        WebCore/page/animation/AnimationBase.cpp
Sending        WebCore/page/win/FrameCGWin.cpp
Sending        WebCore/page/win/FrameWin.cpp
Sending        WebCore/platform/graphics/BitmapImage.h
Sending        WebCore/platform/graphics/FloatPoint.cpp
Sending        WebCore/platform/graphics/FloatPoint.h
Sending        WebCore/platform/graphics/GeneratedImage.cpp
Sending        WebCore/platform/graphics/GeneratedImage.h
Sending        WebCore/platform/graphics/GraphicsContext.h
Sending        WebCore/platform/graphics/GraphicsContextPrivate.h
Sending        WebCore/platform/graphics/Image.cpp
Sending        WebCore/platform/graphics/Image.h
Sending        WebCore/platform/graphics/ImageBuffer.h
Sending        WebCore/platform/graphics/Path.h
Sending        WebCore/platform/graphics/Pattern.h
Sending        WebCore/platform/graphics/cairo/AffineTransformCairo.cpp
Sending        WebCore/platform/graphics/cairo/GraphicsContextCairo.cpp
Sending        WebCore/platform/graphics/cairo/GraphicsContextPlatformPrivateCairo.h
Sending        WebCore/platform/graphics/cairo/ImageCairo.cpp
Sending        WebCore/platform/graphics/cairo/PathCairo.cpp
Sending        WebCore/platform/graphics/cairo/PatternCairo.cpp
Sending        WebCore/platform/graphics/cg/AffineTransformCG.cpp
Sending        WebCore/platform/graphics/cg/GraphicsContextCG.cpp
Sending        WebCore/platform/graphics/cg/GraphicsContextPlatformPrivateCG.h
Sending        WebCore/platform/graphics/cg/ImageCG.cpp
Sending        WebCore/platform/graphics/cg/PathCG.cpp
Sending        WebCore/platform/graphics/cg/PatternCG.cpp
Sending        WebCore/platform/graphics/qt/AffineTransformQt.cpp
Sending        WebCore/platform/graphics/qt/GraphicsContextQt.cpp
Sending        WebCore/platform/graphics/qt/ImageQt.cpp
Sending        WebCore/platform/graphics/qt/PathQt.cpp
Sending        WebCore/platform/graphics/qt/PatternQt.cpp
Deleting       WebCore/platform/graphics/transforms/AffineTransform.cpp
Deleting       WebCore/platform/graphics/transforms/AffineTransform.h
Sending        WebCore/platform/graphics/transforms/IdentityTransformOperation.h
Sending        WebCore/platform/graphics/transforms/MatrixTransformOperation.cpp
Sending        WebCore/platform/graphics/transforms/MatrixTransformOperation.h
Sending        WebCore/platform/graphics/transforms/RotateTransformOperation.h
Sending        WebCore/platform/graphics/transforms/ScaleTransformOperation.h
Sending        WebCore/platform/graphics/transforms/SkewTransformOperation.h
Sending        WebCore/platform/graphics/transforms/TransformOperation.h
Sending        WebCore/platform/graphics/transforms/TransformOperations.h
Adding         WebCore/platform/graphics/transforms/TransformationMatrix.cpp
Adding         WebCore/platform/graphics/transforms/TransformationMatrix.h
Sending        WebCore/platform/graphics/transforms/TranslateTransformOperation.h
Sending        WebCore/platform/graphics/win/FontCGWin.cpp
Sending        WebCore/platform/graphics/win/GraphicsContextCGWin.cpp
Sending        WebCore/platform/graphics/win/GraphicsContextCairoWin.cpp
Sending        WebCore/platform/graphics/win/GraphicsContextWin.cpp
Sending        WebCore/platform/graphics/wx/AffineTransformWx.cpp
Sending        WebCore/platform/graphics/wx/GraphicsContextWx.cpp
Sending        WebCore/platform/graphics/wx/ImageWx.cpp
Sending        WebCore/platform/graphics/wx/PathWx.cpp
Sending        WebCore/platform/gtk/RenderThemeGtk.cpp
Sending        WebCore/platform/wx/TemporaryLinkStubs.cpp
Sending        WebCore/rendering/RenderForeignObject.cpp
Sending        WebCore/rendering/RenderForeignObject.h
Sending        WebCore/rendering/RenderLayer.cpp
Sending        WebCore/rendering/RenderLayer.h
Sending        WebCore/rendering/RenderObject.cpp
Sending        WebCore/rendering/RenderObject.h
Sending        WebCore/rendering/RenderPath.cpp
Sending        WebCore/rendering/RenderPath.h
Sending        WebCore/rendering/RenderSVGContainer.cpp
Sending        WebCore/rendering/RenderSVGContainer.h
Sending        WebCore/rendering/RenderSVGHiddenContainer.cpp
Sending        WebCore/rendering/RenderSVGHiddenContainer.h
Sending        WebCore/rendering/RenderSVGImage.cpp
Sending        WebCore/rendering/RenderSVGImage.h
Sending        WebCore/rendering/RenderSVGInlineText.cpp
Sending        WebCore/rendering/RenderSVGRoot.cpp
Sending        WebCore/rendering/RenderSVGRoot.h
Sending        WebCore/rendering/RenderSVGText.cpp
Sending        WebCore/rendering/RenderSVGText.h
Sending        WebCore/rendering/RenderSVGTransformableContainer.cpp
Sending        WebCore/rendering/RenderSVGViewportContainer.cpp
Sending        WebCore/rendering/RenderSVGViewportContainer.h
Sending        WebCore/rendering/SVGCharacterLayoutInfo.cpp
Sending        WebCore/rendering/SVGCharacterLayoutInfo.h
Sending        WebCore/rendering/SVGInlineTextBox.cpp
Sending        WebCore/rendering/SVGRenderSupport.cpp
Sending        WebCore/rendering/SVGRenderTreeAsText.cpp
Sending        WebCore/rendering/SVGRenderTreeAsText.h
Sending        WebCore/rendering/SVGRootInlineBox.cpp
Sending        WebCore/rendering/style/RenderStyle.cpp
Sending        WebCore/rendering/style/RenderStyle.h
Sending        WebCore/svg/GradientAttributes.h
Sending        WebCore/svg/PatternAttributes.h
Sending        WebCore/svg/SVGAnimateMotionElement.cpp
Sending        WebCore/svg/SVGAnimateMotionElement.h
Sending        WebCore/svg/SVGAnimateTransformElement.cpp
Sending        WebCore/svg/SVGAnimateTransformElement.h
Sending        WebCore/svg/SVGElement.h
Sending        WebCore/svg/SVGFitToViewBox.cpp
Sending        WebCore/svg/SVGFitToViewBox.h
Sending        WebCore/svg/SVGGElement.h
Sending        WebCore/svg/SVGLocatable.cpp
Sending        WebCore/svg/SVGLocatable.h
Sending        WebCore/svg/SVGMatrix.idl
Sending        WebCore/svg/SVGPatternElement.cpp
Sending        WebCore/svg/SVGPreserveAspectRatio.cpp
Sending        WebCore/svg/SVGPreserveAspectRatio.h
Sending        WebCore/svg/SVGSVGElement.cpp
Sending        WebCore/svg/SVGSVGElement.h
Sending        WebCore/svg/SVGStyledLocatableElement.cpp
Sending        WebCore/svg/SVGStyledLocatableElement.h
Sending        WebCore/svg/SVGStyledTransformableElement.cpp
Sending        WebCore/svg/SVGStyledTransformableElement.h
Sending        WebCore/svg/SVGTextContentElement.cpp
Sending        WebCore/svg/SVGTextElement.cpp
Sending        WebCore/svg/SVGTextElement.h
Sending        WebCore/svg/SVGTextPathElement.cpp
Sending        WebCore/svg/SVGTransform.cpp
Sending        WebCore/svg/SVGTransform.h
Sending        WebCore/svg/SVGTransformDistance.cpp
Sending        WebCore/svg/SVGTransformDistance.h
Sending        WebCore/svg/SVGTransformList.cpp
Sending        WebCore/svg/SVGTransformList.h
Sending        WebCore/svg/SVGTransformable.cpp
Sending        WebCore/svg/SVGTransformable.h
Sending        WebCore/svg/graphics/SVGPaintServerGradient.cpp
Sending        WebCore/svg/graphics/SVGPaintServerGradient.h
Sending        WebCore/svg/graphics/SVGPaintServerPattern.cpp
Sending        WebCore/svg/graphics/SVGPaintServerPattern.h
Sending        WebCore/svg/graphics/SVGResourceClipper.cpp
Sending        WebCore/svg/graphics/SVGResourceMarker.cpp
Sending        WebCore/svg/graphics/cg/SVGResourceFilterCg.mm
Sending        WebCore/svg/graphics/qt/SVGPaintServerPatternQt.cpp
Committed revision 39635.